-- This is the configuration settings file for SnowfallRune. 
--
-- In order to create your own configuration settings, copy the whole
--   Interface\Addons\SnowfallRune\SnowfallRuneSettings
-- folder and paste it at the
--   Interface\Addons
-- level. Then edit the settings in
--   Interface\Addons\SnowfallRuneSettings\SnowfallRuneSettings.lua
-- to your liking.
--
-- When you see two adjacent hyphens on a line, the remainder of the line is a
-- comment for you to read. These comments have no effect on the addon
-- configuration, and they are there purely for your information.


-- Do not modify the following two lines.
SnowfallRune = SnowfallRune or {};
SnowfallRune.settings = {


  -- Pick the scale of the rune bars.
  -- If you want pixel-perfect placement of the bars (recommended), set
  --   runeFrameScale = 768 / verticalResolution / uiScale
  -- where your current uiScale can be gotten by typing
  --   /script print(UIParent:GetScale())
  -- when in game, and verticalResolution is just the vertical screen resolution
  -- at which you play WoW (typically something like 768, 1024, 1080, or 1200).

  runeFrameScale = 768 / 1200 / 0.8,


  -- Position the rune frame where you like it. Experiment with X and Y offsets
  -- of something.0 and something.5 to see which looks best. Hint: If you pick
  -- only even integers for the below heights, widths, and paddings, then X and Y
  -- offsets of something.5 will always look best. This because the actual screen
  -- is offset by X=-0.5 and Y=0.5 screen pixels from UIParent (Blizzard, what
  -- were you thinking?!).

  runeFramePosition = {
    "BOTTOM",  -- Position this point on the rune frame (TOPLEFT, TOP, TOPRIGHT, RIGHT, BOTTOMRIGHT, BOTTOM, BOTTOMLEFT, LEFT),
    UIParent,  -- relative to this frame (leave as UIParent unless you really know what you're doing),
    "BOTTOM",  -- relative to this point on the relative frame (TOPLEFT, TOP, TOPRIGHT, RIGHT, BOTTOMRIGHT, BOTTOM, BOTTOMLEFT, LEFT),
    -0.5,  -- using this X offset (positive is further right),
    200.5,  -- and this Y offset (positive is further up).
  },


  runeBarHeight = 96,  -- Height of each rune bar
  runeBarWidth = 24,  -- Width of each rune bar
  runeBarPadding = 2,  -- Width of the padding between each rune bar


  showDiseases = true,  -- Show the disease bars (true or false)
  diseaseBarWidth = 24,  -- Width of each disease bar
  diseaseBarPadding = 2,  -- Width of the padding between each disease bar


  showPestilence = true,  -- Show the pestilence bar (true or false)
  pestilenceBarWidth = 24,  -- Width of the pestilence bar


  showMeleeRange = true,  -- Show when you are in melee range


-- Do not modify the following line.
}
